import { OnDestroy } from '@angular/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class EventsHandlerService implements OnDestroy {
    private readonly observables$;
    private readonly takeUntilAll$;
    private readonly repeatWhen$;
    private readonly stream$;
    private registeredEvents;
    constructor();
    ngOnDestroy(): void;
    registerStream({ eventName, stream$ }: {
        eventName: string;
        stream$: Observable<any>;
    }): void;
    getStream({ eventName }: {
        eventName: string;
    }): Observable<any>;
    clearAllStreams(): void;
    private wrapStream;
    static ɵfac: i0.ɵɵFactoryDeclaration<EventsHandlerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EventsHandlerService>;
}
